/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct ChangeOwnerRequest {
    /// The user ID of the new owner.
    #[serde(rename = "owner_id")]
    pub owner_id: String,
}

impl ChangeOwnerRequest {
    pub fn new(owner_id: String) -> ChangeOwnerRequest {
        ChangeOwnerRequest { owner_id }
    }
}
